Developer Documentation

Public Types | Public Member Functions | Private Attributes | Friends | List of all members
OpenMesh::Iterators::GenericCirculatorT< GenericCirculatorT_TraitsT, CW > Class Template Reference
Inheritance diagram for OpenMesh::Iterators::GenericCirculatorT< GenericCirculatorT_TraitsT, CW >:

## Public Types
using | Mesh = typename GenericCirculatorT_TraitsT::Mesh
using | value_type = typename GenericCirculatorT_TraitsT::ValueHandle
using | CenterEntityHandle = typename GenericCirculatorT_TraitsT::CenterEntityHandle
using | smart_value_type = decltype(make_smart(std::declval< value_type >(), std::declval< Mesh >()))
typedef std::ptrdiff_t | difference_type
typedef const value_type & | reference
typedef const smart_value_type * | pointer
typedef std::bidirectional_iterator_tag | iterator_category
typedef GenericCirculatorBaseT< Mesh >::mesh_ptr | mesh_ptr
typedef GenericCirculatorBaseT< Mesh >::mesh_ref | mesh_ref
typedef GenericCirculator_ValueHandleFnsT< Mesh, CenterEntityHandle, value_type, CW > | GenericCirculator_ValueHandleFns

## Public Member Functions
| GenericCirculatorT (mesh_ref mesh, CenterEntityHandle start, bool end=false)
| GenericCirculatorT (mesh_ref mesh, HalfedgeHandle heh, bool end=false)
| GenericCirculatorT (const GenericCirculatorT &rhs)
| GenericCirculatorT (const GenericCirculatorT< GenericCirculatorT_TraitsT,!CW > &rhs)
GenericCirculatorT & | operator++ ()
GenericCirculatorT & | operator-- ()
GenericCirculatorT | operator++ (int)
| Post-increment.
GenericCirculatorT | operator-- (int)
| Post-decrement.
smart_value_type | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Pointer dereferentiation. More...
GenericCirculatorT & | operator= (const GenericCirculatorT &rhs)
bool | operator== (const GenericCirculatorT &rhs) const
bool | operator!= (const GenericCirculatorT &rhs) const
bool | is_valid () const

## Private Attributes
smart_value_type | pointer_deref_value

## Friends
class | GenericCirculatorT< GenericCirculatorT_TraitsT,!CW >
template<typename STREAM >
STREAM & | operator<< (STREAM &s, const GenericCirculatorT &self)

## Additional Inherited Members
Protected Types inherited from OpenMesh::Iterators::GenericCirculatorBaseT< GenericCirculatorT_TraitsT::Mesh >
typedef const GenericCirculatorT_TraitsT::Mesh * | mesh_ptr
typedef const GenericCirculatorT_TraitsT::Mesh & | mesh_ref
Protected Member Functions inherited from OpenMesh::Iterators::GenericCirculatorBaseT< GenericCirculatorT_TraitsT::Mesh >
| GenericCirculatorBaseT (mesh_ref mesh, HalfedgeHandle heh, bool end=false)
| GenericCirculatorBaseT (const GenericCirculatorBaseT &rhs)
GenericCirculatorT_TraitsT::Mesh ::FaceHandle | toFaceHandle () const
GenericCirculatorT_TraitsT::Mesh ::FaceHandle | toOppositeFaceHandle () const
GenericCirculatorT_TraitsT::Mesh ::EdgeHandle | toEdgeHandle () const
GenericCirculatorT_TraitsT::Mesh ::HalfedgeHandle | toHalfedgeHandle () const
GenericCirculatorT_TraitsT::Mesh ::HalfedgeHandle | toOppositeHalfedgeHandle () const
GenericCirculatorT_TraitsT::Mesh ::VertexHandle | toVertexHandle () const
GenericCirculatorBaseT & | operator= (const GenericCirculatorBaseT &rhs)
bool | operator== (const GenericCirculatorBaseT &rhs) const
bool | operator!= (const GenericCirculatorBaseT &rhs) const
Protected Attributes inherited from OpenMesh::Iterators::GenericCirculatorBaseT< GenericCirculatorT_TraitsT::Mesh >
mesh_ptr | mesh_
GenericCirculatorT_TraitsT::Mesh ::HalfedgeHandle | start_
GenericCirculatorT_TraitsT::Mesh ::HalfedgeHandle | heh_
int | lap_counter_

## Detailed Description

### template<typename GenericCirculatorT_TraitsT, bool CW = true>
class OpenMesh::Iterators::GenericCirculatorT< GenericCirculatorT_TraitsT, CW >

Definition at line 254 of file CirculatorsT.hh.

## Member Function Documentation

## ◆ operator->()

template<typename GenericCirculatorT_TraitsT, bool CW = true>

pointer OpenMesh::Iterators::GenericCirculatorT< GenericCirculatorT_TraitsT, CW >::operator-> | ( |  | ) | const
| inline

Pointer dereferentiation.

This returns a pointer which points to a handle that loses its validity once this dereferentiation is invoked again. Thus, do not store the result of this operation.

Definition at line 336 of file CirculatorsT.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/CirculatorsT.hh